> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment Distribution

> Get Payment Distribution



## OpenAPI

````yaml /openapi/openapi_commerce.json get /commerce/returns/{returnId}/paymentDistribution
openapi: 3.0.1
info:
  description: |-
    <div id="overview_COMMERCE">
                <h2>COMMERCE</h2>
                <p>The Commerce API interacts with the commerce entities of your tenant, including shoppers's active shopping
                    carts, checkouts, submitted orders, wishlists, and returns as well as B2B quotes.</p>
                <p>Use the <strong>Carts</strong> resource to manage storefront shopping carts as shoppers add and remove items for purchase.
                    Each time a shopper's cart is modified, the Carts resource updates the estimated total with any
                    applicable
                    discounts.</p>
                <p>Use the <strong>Channels</strong> and <strong>Channel Groups</strong> resources to manage the channels a company uses to create logical
                    commercial business divisions based on region or types of sales, such as "US Online," "Amazon," or "EMEA
                    Retail."
                    All orders include a channel association that enables the company to perform financial reporting for
                    each defined channel.
                    Because channels are managed at the tenant level, you must associate all the tenant's sites with a
                    channel. Sites that do not
                    have a defined channel association cannot successfully submit orders.</p>
                <p>Use the <strong>Checkouts</strong> resource to track a shopper's order items and their intended destinations on sites that
                    have the multiple shipment feature enabled.</p>
                <p>Use the <strong>Orders</strong> resource to manage all components of order processing, payment, and order-level
                    fulfillment.</p>
                <p>Use the <strong>Quotes</strong> resource to support B2B functionality by managing order quotes, similar to wishlists.</p>
                <p>Use the <strong>Returns</strong> resource to manage returned items that were previously fufilled. Returns can include any
                    number of items associated with an original
                    order. Each return must either be associated with an original order or a product definition to represent
                    each returned item.</p>
                <p>Use the <strong>Wish Lists</strong> resource to manage the shopper wish lists of products associated with a customer
                    account. Although customer accounts are managed at the tenant
                    level, the system stores shopper wish lists at the site level. This enables the same customer to have
                    wish lists for each of a merchant's sites. The <strong>Wish List Items</strong>
                    resource allows you to manage the individual items in a wish list.</p>
            </div>
  title: Cart/Checkout/Quote
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/returns/{returnId}/paymentDistribution:
    get:
      tags:
        - Return
      summary: Get Payment Distribution
      description: Get Payment Distribution
      parameters:
        - description: Return Id
          in: path
          name: returnId
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReturnRefundDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ReturnRefundDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/ReturnRefundDetails'
          description: Success
components:
  schemas:
    ReturnRefundDetails:
      properties:
        defaultReturnProcessingFee:
          format: double
          type: number
        items:
          items:
            $ref: '#/components/schemas/ReturnItem'
          nullable: true
          type: array
        refunds:
          items:
            $ref: '#/components/schemas/RefundPaymentAction'
          nullable: true
          type: array
        returnId:
          nullable: true
          type: string
      type: object
    ReturnItem:
      description: ''
      properties:
        attributes:
          description: Collection of attributes defined for this return item.
          items:
            $ref: '#/components/schemas/ReturnAttribute'
          nullable: true
          type: array
        bundledProducts:
          deprecated: true
          description: Deprecated. Not used.
          items:
            $ref: '#/components/schemas/ReturnBundle'
          nullable: true
          type: array
        data:
          description: Custom data for a given vendor set within the commerce process.
          nullable: true
          type: object
        dispositionInfo:
          items:
            $ref: '#/components/schemas/DisposeItemInfo'
          nullable: true
          type: array
        excludeProductExtras:
          description: "If this return item refers to a product/bundle that has product extras, this specifies whether those child items should be included or excluded.\r\nFor backward compatibility, a null value will be treated as false, i.e. include the extras."
          nullable: true
          type: boolean
        id:
          description: The identifier of the return
          nullable: true
          type: string
        inventoryTags:
          items:
            $ref: '#/components/schemas/InventoryTags'
          nullable: true
          type: array
        notes:
          description: Any merchant-supplied notes for this ReturnItem.
          items:
            $ref: '#/components/schemas/OrderNote'
          nullable: true
          type: array
        orderItemId:
          description: >-
            The OrderItem that this ReturnItem is associated with. Either the
            Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.Product or the
            OrderItemId must be present.
          nullable: true
          type: string
        orderItemOptionAttributeFQN:
          description: >-
            If this item refers to a product extra, provide the item's
            corresponding OptionAttributeFQN.
          nullable: true
          type: string
        orderLineId:
          description: >-
            The OrderLineId that this ReturnItem is associated with. If
            Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.OrderItemId is
            present, the OrderLineId should be present also.
          format: int32
          nullable: true
          type: integer
        product:
          $ref: '#/components/schemas/CommerceRuntimeProduct'
        productLossAmount:
          description: >-
            The loss incurred of the returned products, used for accounting
            purposes.
          format: double
          nullable: true
          type: number
        productLossTaxAmount:
          description: The tax on the returned products, used for accounting purposes.
          format: double
          nullable: true
          type: number
        quantityReceived:
          description: "The amount of this item actually received from the shopper. It may differ from the sum of the ReturnReasons.\r\nThis is populated by the system when the Receive action is performed."
          format: int32
          type: integer
        quantityRefunded:
          description: The quantity of the item being refunded is specified in this field
          format: int32
          type: integer
        quantityReplaced:
          description: "Specifies the quantity of this item that has been marked as replaced, i.e. it has been used to generate a replacement order for the return.\r\nNote that the quantity replaced may not line up with the quantity of the item actually sent back to the shopper,\r\nsuch as in the case of an exchange, e.g. swapping a medium shirt for a large shirt."
          format: int32
          nullable: true
          type: integer
        quantityRestockable:
          description: "Of the quantity returned, how many of this item can be added back into the inventory? This item is set by the merchant via an UpdateReturn call.\r\nIt is used during the Restock action to set some quantity of this item back into the inventory management system."
          format: int32
          type: integer
        quantityRestocked:
          description: Field to specify How many items added to inventory
          format: int32
          type: integer
        quantityShipped:
          description: The quantity of this item fulfilled on the parent order.
          format: int32
          type: integer
        reasons:
          description: "For a given return reason (Damaged, Defective, MissingParts, DifferentExpectations, Late, NoLongerWanted, Other),\r\nhow many of the above OrderItem are to be replaced.  This value is provided by the Shopper when they request a Return."
          items:
            $ref: '#/components/schemas/ReturnReason'
          nullable: true
          type: array
        receiveStatus:
          description: "Describes the receive status of this item.\r\nIf Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ReturnNotRequired is {true}, then this should be Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ItemReceiveStatusConst.NOT_REQUESTED.\r\nOtherwise the value should be Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ItemReceiveStatusConst.RECEIVED or Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ItemReceiveStatusConst.WAITING depending on Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.QuantityReceived."
          nullable: true
          type: string
        refundAmount:
          description: >-
            If a refund is issued for the return, how much of the refund amount
            is for this particular item.
          format: double
          nullable: true
          type: number
        refundStatus:
          description: "Describes the refund status of this item.\r\nIf Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ReturnType is Mozu.CommerceRuntime.Contracts.Returns.Return.ReturnTypeConst.REPLACE, then this should be Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ItemRefundStatusConst.NOT_REQUESTED.\r\nOtherwise the value should be Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ItemRefundStatusConst.REFUNDED or Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ItemRefundStatusConst.NOT_REFUNDED depending on Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.RefundAmount."
          nullable: true
          type: string
        replaceStatus:
          description: "Describes the replace status of this item.\r\nIf Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ReturnType is Mozu.CommerceRuntime.Contracts.Returns.Return.ReturnTypeConst.REFUND, then this should be Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ItemReplaceStatusConst.NOT_REQUESTED.\r\nOtherwise the value should be Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ItemReplaceStatusConst.REPLACED or Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ItemReplaceStatusConst.NOT_REPLACED depending on Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.QuantityReplaced."
          nullable: true
          type: string
        returnNotRequired:
          description: "Specifies whether this item should be returned to the merchant, e.g. if the item is irreparably damaged and it's not worth shipping back.\r\nEven if this is set to true, Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.QuantityShipped should still be set to the quantity of items involved in the return."
          type: boolean
        returnProcessingFeeApplied:
          description: The processing fee on the item that gets persisted into the database
          format: double
          nullable: true
          type: number
        returnType:
          description: >-
            Specifies whether the requested resolution for this item is Refund
            or Replace.
          nullable: true
          type: string
        shipmentItemId:
          description: The identifier of the item
          format: int32
          nullable: true
          type: integer
        shipmentNumber:
          format: int32
          nullable: true
          type: integer
        shippingAndHandlingRefunded:
          description: Determines if shipping and handling is returned on the item
          nullable: true
          type: boolean
        shippingLossAmount:
          description: >-
            The loss incurred of the returned product shipping, used for
            accounting purposes.
          format: double
          nullable: true
          type: number
        shippingLossTaxAmount:
          description: >-
            The tax on the returned product shipping, used for accounting
            purposes.
          format: double
          nullable: true
          type: number
        taxData:
          description: Additional tax-related data for this return item.
          nullable: true
          type: object
        totalWithWeightedShippingAndHandling:
          description: >-
            Line item total with line item, Tax, Weighted Tax with Weighted
            shipping and handling costs
          format: double
          nullable: true
          type: number
        totalWithoutWeightedShippingAndHandling:
          description: Taxable Subtotal including Weighted Order amounts
          format: double
          nullable: true
          type: number
      type: object
    RefundPaymentAction:
      properties:
        amount:
          format: double
          type: number
        amountCollected:
          format: double
          type: number
        amountRefunded:
          format: double
          type: number
        paymentId:
          nullable: true
          type: string
        paymentSource:
          nullable: true
          type: string
        paymentType:
          nullable: true
          type: string
      type: object
    ReturnAttribute:
      properties:
        attributeDefinitionId:
          format: int32
          nullable: true
          type: integer
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        fullyQualifiedName:
          nullable: true
          type: string
        values:
          items: {}
          nullable: true
          type: array
      type: object
    ReturnBundle:
      properties:
        productCode:
          description: Merchant-created code that uniquely identifies the product.
          nullable: true
          type: string
        quantity:
          description: >-
            The amount of this particular product in a bundle that is in this
            Return
          format: int32
          type: integer
      type: object
    DisposeItemInfo:
      properties:
        condition:
          nullable: true
          type: string
        locationCode:
          nullable: true
          type: string
        quantity:
          format: int32
          type: integer
        status:
          nullable: true
          type: string
      type: object
    InventoryTags:
      properties:
        name:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
    OrderNote:
      description: >-
        Internal notes that a merchant may add to the order. Maximum 250
        characters.
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        id:
          description: Unique identifier of the note. System-supplied and read-only.
          nullable: true
          type: string
        text:
          description: Text of the note. Maximum 250 characters.
          nullable: true
          type: string
      type: object
    CommerceRuntimeProduct:
      allOf:
        - $ref: '#/components/schemas/ProductBase'
      description: The product as it appears on the order item.
      properties:
        bundledProducts:
          description: >-
            Products bundled with this product (if the current product is a
            bundle)
          items:
            $ref: '#/components/schemas/CommerceRuntimeBundledProduct'
          nullable: true
          type: array
        categories:
          description: Categories to which this product belongs.
          items:
            $ref: '#/components/schemas/CommerceRuntimeCategory'
          nullable: true
          type: array
        condition:
          description: Condition
          nullable: true
          type: string
        discountsRestricted:
          description: Is the product discount restricted
          nullable: true
          type: boolean
        discountsRestrictedEndDate:
          description: Product discount restriction end date
          format: date-time
          nullable: true
          type: string
        discountsRestrictedStartDate:
          description: Product discount restriction start date
          format: date-time
          nullable: true
          type: string
        fulfillmentFields:
          description: List of unique product identifiers for an item on shipment
          items:
            $ref: '#/components/schemas/CommerceRuntimeFulfillmentField'
          nullable: true
          type: array
        fulfillmentTypesSupported:
          description: Types of fulfillment that are supported for this product.
          items:
            type: string
          nullable: true
          type: array
        imageAlternateText:
          description: >-
            Descriptive text of the image associated with the product in the
            language specified by LocaleCode.
          nullable: true
          type: string
        imageUrl:
          description: >-
            URL of the image that appears next to the product on the order item.
            Optional.
          nullable: true
          type: string
        isRecurring:
          description: >-
            If true, the product is purchased or fulfilled at regular intervals,
            for example, a monthly billing or a subscription.
          nullable: true
          type: boolean
        isTaxable:
          description: If true, the product is eligible for tax.
          nullable: true
          type: boolean
        mfgPartNumber:
          description: Manufacturing Part Number of the product.
          nullable: true
          type: string
        options:
          description: >-
            If the product contains configurable or stand-alone options, the
            list of product options that the shopper selected for this product.
          items:
            $ref: '#/components/schemas/CommerceRuntimeProductOption'
          nullable: true
          type: array
        price:
          $ref: '#/components/schemas/CommerceRuntimeProductPrice'
        productType:
          description: >-
            Type of product, which can be a product with configurable options, a
            product with stand-alone options, or a simple product with no
            options.
          nullable: true
          type: string
        productUsage:
          description: >-
            Usage of the product, primarily used to indicate a bundle in this
            context
          nullable: true
          type: string
        properties:
          description: >-
            If the product contains properties, the list of properties that the
            shopper selected for this product.
          items:
            $ref: '#/components/schemas/CommerceRuntimeProductProperty'
          nullable: true
          type: array
        serialNumber:
          description: Serial Number
          nullable: true
          type: string
        sku:
          description: Product Identifier specific to the store
          nullable: true
          type: string
        upc:
          description: Universal Product Code of the product.
          nullable: true
          type: string
        variationProductCode:
          description: >-
            For configurable products, the unique identifier of the product
            variation that has been selected.
          nullable: true
          type: string
      type: object
    ReturnReason:
      description: Represents a quantity associated with a given reason for a return
      properties:
        quantity:
          description: The quantity associated with this Reason.
          format: int32
          type: integer
        reason:
          description: The reason this item has been returned.
          nullable: true
          type: string
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    ProductBase:
      properties:
        allocationExpiration:
          description: Allocation ID associated with this product on this order.
          format: date-time
          nullable: true
          type: string
        allocationId:
          description: Allocation ID associated with this product on this order.
          format: int32
          nullable: true
          type: integer
        description:
          description: >-
            Short description of the product in the language specified by
            LocaleCode.
          nullable: true
          type: string
        fulfillmentStatus:
          description: Fulfillment status of the product.
          nullable: true
          type: string
        goodsType:
          description: Goods Type
          nullable: true
          type: string
        isPackagedStandAlone:
          description: Indicates that this product ships by itself.
          type: boolean
        measurements:
          $ref: '#/components/schemas/CommerceRuntimePackageMeasurements'
        name:
          description: >-
            Name of the product, this is the current value of the product's name
            in the language specified by LocaleCode.
          nullable: true
          type: string
        productCode:
          description: Merchant-created code that uniquely identifies the product.
          nullable: true
          type: string
        productReservationId:
          description: Reservation ID associated with this product in the bundle.
          format: int32
          nullable: true
          type: integer
        stock:
          $ref: '#/components/schemas/ProductStock'
      type: object
    CommerceRuntimeBundledProduct:
      allOf:
        - $ref: '#/components/schemas/ProductBase'
      description: Describes products that are bundled inside of a main bundle product.
      properties:
        creditValue:
          description: >-
            Credit value.  Only populated if the bundled product is a gift card
            or digital credit
          format: double
          nullable: true
          type: number
        deltaPrice:
          description: Only populated for extras
          format: double
          nullable: true
          type: number
        imageUrl:
          description: ImageUrl of product
          nullable: true
          type: string
        optionAttributeFQN:
          description: Fully Qualified Name of the selected option's attribute
          nullable: true
          type: string
        optionValue:
          description: Value of the selected option
          nullable: true
        quantity:
          description: Quantity of the product included in the bundle.
          format: int32
          type: integer
      type: object
    CommerceRuntimeCategory:
      description: >-
        Categories to which the product belongs. Discounts can apply to
        categories where any product in the category is discounted.
      properties:
        id:
          description: Unique identifier of the category. System-supplied and read-only.
          format: int32
          nullable: true
          type: integer
        parent:
          type: object
      type: object
    CommerceRuntimeFulfillmentField:
      properties:
        name:
          nullable: true
          type: string
        required:
          type: boolean
        userEnteredValue:
          nullable: true
      type: object
    CommerceRuntimeProductOption:
      description: "Product option for the product listed on this order item. If the product contains \r\nconfigurable or stand-alone options, this is a product option that the shopper has selected."
      properties:
        attributeFQN:
          description: Value of the product option.
          nullable: true
          type: string
        dataType:
          description: Value of the product option.
          nullable: true
          type: string
        name:
          description: >-
            Name of the product option that appears with the order item in the
            language specified by LocaleCode.
          nullable: true
          type: string
        shopperEnteredValue:
          description: >-
            The value entered by the shopper if this is an option that requires
            shopper input, for example, a monogram.
          nullable: true
        stringValue:
          description: Value of the product option.
          nullable: true
          type: string
        value:
          description: Value of the product option.
          nullable: true
      type: object
    CommerceRuntimeProductPrice:
      description: Price of the product with any sale and discounts applied.
      properties:
        creditValue:
          description: >-
            Credit Value when the product happens to be a gift card or similar
            product
          format: double
          nullable: true
          type: number
        isOverRidePriceSalePrice:
          description: >-
            Indicate that External Price (TenantOverridePrice) is a Sale Price.
            And is used to calculate the line item discounts.
          nullable: true
          type: boolean
        msrp:
          description: MSRP of product.
          format: double
          nullable: true
          type: number
        price:
          description: >-
            Price of the product. This is the price that the merchant intends to
            sell the product if no sale price is present.
          format: double
          nullable: true
          type: number
        priceListCode:
          description: Pricelist code for the product
          nullable: true
          type: string
        priceListEntryMode:
          description: "Pricelist entry mode of the product.\r\nNote: possible values are below\r\n1. null : Product doesn't participate in pricelist\r\n2. Bulk : Bulk volume price available(unit price vary based on quantity)\r\n3. Simple:"
          nullable: true
          type: string
        salePrice:
          description: >-
            Current sale price of the product, which is a specific numerical
            amount (not a percentage off).
          format: double
          nullable: true
          type: number
        tenantOverridePrice:
          description: An override price applied on the product by the tenant.
          format: double
          nullable: true
          type: number
      type: object
    CommerceRuntimeProductProperty:
      properties:
        attributeFQN:
          nullable: true
          type: string
        dataType:
          nullable: true
          type: string
        isMultiValue:
          type: boolean
        name:
          nullable: true
          type: string
        values:
          items:
            $ref: '#/components/schemas/CommerceRuntimeProductPropertyValue'
          nullable: true
          type: array
      type: object
    CommerceRuntimePackageMeasurements:
      description: >-
        Physical dimensions of the package required to ship the product and its
        weight.
      properties:
        height:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        length:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        weight:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        width:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
      type: object
    ProductStock:
      properties:
        aggregateInventory:
          format: int32
          nullable: true
          type: integer
        availableDate:
          format: date-time
          nullable: true
          type: string
        availableFutureInventories:
          format: int32
          readOnly: true
          type: integer
        futureInventories:
          items:
            $ref: '#/components/schemas/CommerceRuntimeFutureInventory'
          nullable: true
          type: array
        isOnBackOrder:
          type: boolean
        isSubstitutable:
          nullable: true
          type: boolean
        manageStock:
          type: boolean
        stockAvailable:
          format: int32
          nullable: true
          type: integer
        totalAvailableStock:
          format: int32
          readOnly: true
          type: integer
      type: object
    CommerceRuntimeProductPropertyValue:
      properties:
        stringValue:
          nullable: true
          type: string
        value:
          nullable: true
      type: object
    CommerceRuntimeMeasurement:
      properties:
        unit:
          nullable: true
          type: string
        value:
          format: double
          nullable: true
          type: number
      type: object
    CommerceRuntimeFutureInventory:
      properties:
        allocated:
          format: int32
          nullable: true
          type: integer
        available:
          format: int32
          nullable: true
          type: integer
        createDate:
          format: date-time
          nullable: true
          type: string
        deliveryDate:
          format: date-time
          nullable: true
          type: string
        futureInventoryID:
          format: int32
          nullable: true
          type: integer
        onhand:
          format: int32
          nullable: true
          type: integer
        pending:
          format: int32
          nullable: true
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````